Robot Simulator of the Robotics Group for Self-Organization of Control: TmpJoint Class Reference

# TmpJoint Class Reference

holding a temporary joint More...

`#include <tmpprimitive.h>`

Inherits lpzrobots::TmpObject.

Collaboration diagram for TmpJoint:
[legend]

List of all members.

## Public Member Functions
| TmpJoint (Joint *p, const Color &color, bool withVisual=true, double visualSize=0.2, bool ignoreColl=true)
| creates a new tmporary object from the given joint and initializes it.
| TmpJoint (Joint *p, const std::string &colorname, float alpha=1.0, bool withVisual=true, double visualSize=0.2, bool ignoreColl=true)
| provided for convenience to supply color as name and alpha independently
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle)
virtual void | deleteObject ()
| deletes the object
virtual void | update ()
| update graphics here

## Detailed Description

holding a temporary joint

## Constructor & Destructor Documentation

TmpJoint | ( | Joint * | p,
|  | const Color & | color,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2`,
|  | bool | ignoreColl = `true` |
| ) |  |  |

creates a new tmporary object from the given joint and initializes it.

The lifetime is set when adding it to globalData

TmpJoint | ( | Joint * | p,
|  | const std::string & | colorname,
|  | float | alpha = `1.0`,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2`,
|  | bool | ignoreColl = `true` |
| ) |  |  |

provided for convenience to supply color as name and alpha independently

## Member Function Documentation

void deleteObject | ( |  | ) | `[virtual]`

deletes the object

Implements TmpObject.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle |
| ) |  |  | `[virtual]`

Implements TmpObject.

void update | ( |  | ) | `[virtual]`

update graphics here

Implements TmpObject.

The documentation for this class was generated from the following files:

- tmpprimitive.h
- tmpprimitive.cpp